import 'package:tencent_cloud_chat_sdk/models/v2_tim_user_full_info.dart';

class TencentCloudChatUserProfileOptions {
  final String userID;
  final V2TimUserFullInfo? userFullInfo;

  // Constructor for TencentCloudChatUserProfileOptions.
  TencentCloudChatUserProfileOptions({
    required this.userID,
    this.userFullInfo,
  });

  // Converts the TencentCloudChatMessageOptions object to a map.
  Map<String, dynamic> toMap() {
    return {
      'userID': userID,
    };
  }

  // Creates a TencentCloudChatMessageOptions object from the given map.
  static TencentCloudChatUserProfileOptions fromMap(Map<String, dynamic> map) {
    return TencentCloudChatUserProfileOptions(
      userID: map['userID'] as String,
    );
  }
}
